> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aitasker.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Subscription Status

> Get current subscription status.



## OpenAPI

````yaml /openapi.json get /api/v1/assistant/subscription
openapi: 3.1.0
info:
  title: AITasker
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/assistant/subscription:
    get:
      tags:
        - Assistant
      summary: Get Subscription Status
      description: Get current subscription status.
      operationId: get_subscription_status_api_v1_assistant_subscription_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PASubscriptionResponse'
      security:
        - HTTPBearer: []
components:
  schemas:
    PASubscriptionResponse:
      properties:
        status:
          type: string
          enum:
            - trial
            - active
            - cancelled
            - paused
          title: Status
        trial_ends_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Trial Ends At
        current_period_end:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Current Period End
        price_usd:
          type: number
          title: Price Usd
      type: object
      required:
        - status
        - price_usd
      title: PASubscriptionResponse
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````